{{page-title "Transfer"}}
<div class="input-dialog">
  <div class="input-dialog-head">
    <h3>Funds Transfer</h3>
  </div>
  <form {{action "submitForm" on="submit"}}>
    <div class="alert alert-danger" role="alert">
      Note: As of now, BankApp supports fund transfers only to registered users who have an account with us.
    </div>
    {{#if @model.transactions.length}}
      <div>
        <input type="text" class="form-control" name="txn_type" id="txn_type" aria-describedby="txn_type" value="transfer" required readonly hidden>
        <div class="form-group">
          <label for="email">Beneficiary Emails (of registered Users)</label>
          <div class="beneficiary-container">
            {{#each @model.beneficiaries as |b idx|}}
              {{#if b.beneficiary_stub}}
                <div class="form-check">
                  <input class="form-check-input" type="radio" name="beneficiary" id="beneficiary_{{idx}}" value="{{b.beneficiary_stub}} {{b.email}}">
                  <label class="form-check-label" for="beneficiary_{{idx}}">{{b.email}}</label>
                </div>
              {{/if}}
            {{/each}}
          </div>
        </div>

        <div class="form-group">
          <label for="txn_amt">Transaction Amount</label>
          <input type="number" class="form-control" name="txn_amt" id="txn_amt" aria-describedby="txn_amt" placeholder="Enter Amount" required min="10" max={{@model.user.balance}}>
        </div>
        <div class="form-check">
          <input class="form-check-input mb-2 mt-3" type="checkbox" value="" name="agreeTnc" id="agreeTnc" required>
          <label class="form-check-label mb-2 mt-2" for="agreeTnc" id="agreeTncLabel" style="font-size: 0.8rem">
            I confirm that I have cross-checked the amount and beneficiary, and understand that this operation cannot be reversed.
          </label>
        </div>
        <div class="text-center">
          <button type="submit" class="btn btn-primary" id="submitForm">Submit</button>
        </div>
      </div>
    {{else}}
      <div class="alert alert-danger" role="alert">
        You don't have any beneficiaries added. Kindly do the same from the Dashboard.
      </div>
    {{/if}}
  </form>
</div>